c
c   average q relations, jh oct 2010   
c   

      implicit none                       

      real x(90000),y(90000)              ! xy values


      integer n,i,k,ntotal
      character*80 fname 
      real a,b,corr,rms                   ! for lsq relation
      integer nf                          ! number of frequencies
      real q0(100),alpha(100)             ! q-relations
      integer nq(100)                     ! number of poits used for each realtion

c
c   get input file name


      write(6,*)'File name'
      read(5,'(a)') fname
      open(1,file=fname,err = 5,status='old') 
      goto 6
 5    continue
      write(6,*) ' Errror with file or file not there'
      write(6,*) ' Return to stop'
      read(5,'(a)') i
      stop
 6    continue

      n=1
 10   continue
c
c   read file
c
      read(1,*,end=20,err=20) q0(n),alpha(n),nq(n)
      write(6,*)'Q0,alpha,n',q0(n),alpha(n),nq(n)
      n=n+1
      goto 10
 20   continue
      n=n-1
      write(6,*)' Number of curves to average: ',n
      if(n.lt.2) then
         write(6,*) ' Not enough points, return to stop'
         read(5,'(a)') n
         stop
      endif
c
c  calcualte 1/q values to average, use fixed frequencires of 1,2,4,8,16
c
      x(1)=1.0
      x(2)=2.0
      x(3)=4.0
      x(4)=8.0
      x(5)=16.0
      nf=5
c
      ntotal=0

      do i=1,nf
         y(i)=0
         do k=1,n
            y(i)=nq(k)/(q0(k)*x(i)**alpha(k))+y(i)
            ntotal=ntotal+nq(k)
         enddo
      enddo
      ntotal=ntotal/nf
      write(6,*) ' Total number of observations',ntotal

      do i=1,nf
        y(i)=y(i)/ntotal
        y(i)=alog10(1.0/y(i))
        x(i)=alog10(x(i))
      enddo
     


      close(1)


c
c   find least squares relation
c
      call lsqlin(nf,x,y,a,b,corr,rms)

      a=10.0**a
c
c 
      write(6,*) 'Q0,alpha,corr', a,b,corr
c
      stop
      end

    
		

C***********************************************************************
C                                                                    
      SUBROUTINE LSQLIN(N,X,Y,A,B,CORR,RMS)                               
C                                                                       
C  REGRESSION LINE WITH PARAMETERS A AND B
C  Y=A+BX                              
C                                                                       
      DIMENSION X(1),Y(1)
      INTRINSIC SQRT                                         
      REAL NEV
      SX=0.0                                                            
      SY=0.0                                                            
      SXY=0.0                                                           
      SXS=0.0                                                       
      DO 1 I=1,N                                                       
      SX=SX+X(I)                                                        
      SY=SY+Y(I)                                                        
      SXY=SXY+X(I)*Y(I)                                                 
      SXS=SXS+X(I)*X(I)                                                 
 1    CONTINUE                                                          
      D1=REAL(N*SXS-SX*SX)                                                   
      IF (ABS(D1).LT.10E-6) GOTO 3     
      A=REAL(SY*SXS-SX*SXY)/(D1)                                            
      B=REAL(SXY*N-SX*SY)/(D1)
      RMS=0.0               
      TEL=0.0
      WVX=0.0
      WVY=0.0
      RX=SX/REAL(N)
      RY=SY/REAL(N)                              
      DO 2 I=3,N
      TEL=TEL+(X(I)-RX)*(Y(I)-RY)
      WVX=WVX+(X(I)-RX)**2
      WVY=WVY+(Y(I)-RY)**2
      RMS=RMS+(Y(I)-A-B*X(I))**2
 2    CONTINUE
      ARG=WVX*WVY
      IF (ARG.LT.10E-6) GOTO 4
      NEV=SQRT(ARG)
      CORR=TEL/NEV
      RMS=SQRT(RMS/N)
      RETURN                       
 3    A=0.0                                      
      B=0.0  
 4    RMS=0.0                                                           
      CORR=0.0
      RETURN                                                            
      END                                                               
C
c-----------------------------------------------------------------------------
